1. Usage
Leadfeeder API (BETA)
  • Introduction
  • Authentication
  • Rate Limits
  • Relationships
  • Company ID Lifecycle
  • OpenAPI Specification Access
  • Account
    • List Accounts
  • Companies
    • Get Company Details
    • Retrieve Companies
    • Company Financial Reports
    • Search Company Signals
    • Search Companies
    • Match Companies
    • Add Company to Lists
    • Remove Company from Lists
    • Assign Tags to Company
    • Unassign Tags from Company
  • Contacts
    • Get Contact Details
    • Retrieve Contacts
    • Search Contacts
    • Add Contact to Lists
    • Remove Contact from Lists
  • Web Visits
    • How to Create Custom Feed
    • Custom Feed - Filter Reference
    • Search Web Visits
    • Retrieve Custom Feeds
    • Create a Custom Feed
    • Get Custom Feed Details
    • Update Custom Feed
    • Delete a Custom Feed
    • Retrieve Custom Feeds Folders
    • Retrieve Web Visits Tracker Script
    • Retrieve Visitor Companies
  • IP
    • Enrich Company IP Address
  • Tags
    • Retrieve Tags
    • Create Tag
    • Get Tag Details
    • Update Tag
    • Delete Tag
  • Lists
    • Retrieve Lists
    • Create a List
    • Get List Details
    • Update List
    • Delete List
  • Custom Fields
    • Retrieve Custom Fields
    • Create Custom Field
    • Get Custom Field Details
    • Update Custom Field
    • Delete Custom Field
  • Usage
    • Get Endpoints Usage
      GET
  • Reference Data
    • List of NACE / WZ codes
  • Schemas
    • Schemas
    • Response
    • AccountResponse
    • VisitLocationV1
    • IcpV1
    • LocationV1
    • CRMUserV1
    • CRMOrganizationV1
    • CRMContactV1
    • CRMLeadV1
    • WebVisitV1
    • CRMConnectionV1
    • BuyerPersonaV1
    • CRMSuggestionV1
    • IpLocationV1
    • CRMGroupConnectionV1
    • CustomFeedRequestV1
    • AccountV1
    • MaskedContactSummaryV1
    • CustomFeedV1
    • CustomFeedFolderV1
    • WebVisitsTrackerScriptV1
    • CompanyLocationV1
    • Error401
    • AccountSummaryV1
    • Error403
    • ErrorObjectV1
    • MaskedCompanySummaryV1
    • CompanyV1
    • Error429
    • NetworkV1
    • CompanyFinancialsV1
    • Error404
    • Error500
    • SignalV1
    • Error504
    • CompanyResponse
    • CompanySummaryV1
    • CompaniesResponse
    • CompanyFinancialsResponse
    • CompaniesSignalsResponse
    • CompaniesSearchResponse
    • TagV1
    • ListV1
    • CompanyMatchV1
    • ContactResponse
    • CustomFieldV1
    • ContactV1
    • ContactsResponse
    • ContactSummaryV1
    • ContactsSummaryResponse
    • EnrichedIpV1
    • IpEnrichResponse
    • TagsResponse
    • ListsResponse
    • ApiUsageV1
    • ApiUsageResponse
    • Error400
    • TagResponse
    • ListResponse
    • TagDeleteResponse
    • ListDeleteResponse
    • EmptySuccessResponse
    • CustomFieldsResponse
    • CustomFieldResponse
  1. Usage

Get Endpoints Usage

GET
/v1/usage
Access usage statistics for various API endpoints for monitoring and auditing purposes.
Returns usage data for all endpoints accessible by the requesting account within the specified date range.

Request

Authorization
API Key
Add parameter in header
X-Api-Key
Example:
X-Api-Key: ********************
or
Query Params

Responses

🟢200OK
application/json
Success
Body

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
🔴500Server Error
🔴504Gateway Timeout
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.leadfeeder.com/v1/usage?account_id=123456&start_period=2025-01&end_period=2026-01' \
--header 'X-Api-Key: <api-key>'
Response Response Example
200 - Success Example
{
    "data": [
        {
            "type": "api_usage",
            "id": "2025-01_companies/search_POST",
            "attributes": {
                "period": "2025-01",
                "endpoint_path": "/companies/search",
                "http_method": "POST",
                "num_requests": 10,
                "num_failed_requests": 1,
                "num_successful_requests": 5,
                "num_returned_entities": 100
            }
        },
        {
            "type": "api_usage",
            "id": "2025-03_companies_GET",
            "attributes": {
                "period": "2025-03",
                "endpoint_path": "/companies",
                "http_method": "GET",
                "num_requests": 25,
                "num_failed_requests": 1,
                "num_successful_requests": 24,
                "num_returned_entities": 48
            }
        }
    ],
    "meta": {
        "total_records": 2,
        "request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
    }
}
Modified at 2026-04-14 13:35:01
Previous
Delete Custom Field
Next
List of NACE / WZ codes
Built with